O.phryganae_opt.jpg=Ophrys phryganae.  \
Reported thru-out central & eastern Mediterranean.                                                .                                                         
phryganae2_opt.jpg=Ophrys phryganae. \
As O.lutea but much smaller.                                                                                     .                                                         
